Module java.desktop
Package javax.swing.plaf

# Class DimensionUIResource

java.lang.Object
java.awt.geom.Dimension2D
java.awt.Dimension
javax.swing.plaf.DimensionUIResource

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `UIResource`

public class DimensionUIResource extends Dimension implements UIResource
A subclass of `Dimension` that implements `UIResource`. UI classes that use `Dimension` values for default properties should use this class.

Warning: Serialized objects of this class will not be compatible with future Swing releases. The current serialization support is appropriate for short term storage or RMI between applications running the same version of Swing. As of 1.4, support for long term storage of all JavaBeans has been added to the `java.beans` package. Please see `XMLEncoder`.

See Also:
  `UIResource`

## Field Summary

### Fields declared in class java.awt.Dimension

`height, width`

## Constructor Summary

Constructors
Constructor
Description
`DimensionUIResource​(int width, int height)`
Constructs a `DimensionUIResource`.

## Method Summary

### Methods declared in class java.awt.Dimension

`equals, getHeight, getSize, getWidth, hashCode, setSize, setSize, setSize, toString`

### Methods declared in class java.awt.geom.Dimension2D

`clone, setSize`

### Methods declared in class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### DimensionUIResource

public DimensionUIResource​(int width, int height)
Constructs a `DimensionUIResource`.

Parameters:
  `width` - the width
  `height` - the height